## amrnbdec amrnbdec |

## Properties

GstAmrnbVariant | variant | Read / Write / Construct

## Types and Values

struct | GstAmrnbDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstAmrnbDec

## Description

AMR narrowband decoder based on the

opencore codec implementation.

### Example launch line

    1
    gst-launch-1.0 filesrc location=abc.amr ! amrparse ! amrnbdec ! audioconvert ! audioresample ! autoaudiosink

## Synopsis

### Element Information

plugin | amrnb
author | GStreamer maintainers <gstreamer-devel@lists.freedesktop.org>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/AMR, rate=(int)8000, channels=(int)1

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)8000, channels=(int)1

## Functions

## Types and Values

### struct GstAmrnbDec

    struct GstAmrnbDec;

## Property Details

### The `“variant”` property

      “variant”                  GstAmrnbVariant

The decoder variant.

Flags: Read / Write / Construct

Default value: IF1

## See Also

GstAmrnbEnc, GstAmrParse